Loading...
Searching...
No Matches
as181.c File Reference
`#include <math.h>`
`#include <stdio.h>`
`#include <grass/cdhc.h>`
`#include "local_proto.h"`
Include dependency graph for as181.c:

Go to the source code of this file.

## Functions

void | wext (double x[], int n, double ssq, double a[], int n2, double eps, double *w, double *pw, int *ifault)
void | wcoef (double a[], int n, int n2, double *eps, int *ifault)
void | Cdhc_wgp (double x[], int n, double ssq, double gp, double h, double a[], int n2, double eps, double w, double u, double p, int *ifault)

## Function Documentation

## Cdhc_wgp()

void Cdhc_wgp | ( | double | x[],
|  | int | n,
|  | double | ssq,
|  | double | gp,
|  | double | h,
|  | double | a[],
|  | int | n2,
|  | double | eps,
|  | double | w,
|  | double | u,
|  | double | p,
|  | int * | ifault )

Definition at line 283 of file as181.c.

References Cdhc_alnorm(), ppnd16(), wext(), and x.

## wcoef()

void wcoef | ( | double | a[],
|  | int | n,
|  | int | n2,
|  | double * | eps,
|  | int * | ifault )

Definition at line 166 of file as181.c.

References Cdhc_nscor2().

Referenced by Cdhc_royston().

## wext()

void wext | ( | double | x[],
|  | int | n,
|  | double | ssq,
|  | double | a[],
|  | int | n2,
|  | double | eps,
|  | double * | w,
|  | double * | pw,
|  | int * | ifault )

Definition at line 23 of file as181.c.

References Cdhc_alnorm(), and x.

Referenced by Cdhc_royston(), and Cdhc_wgp().